Summary: INNFeed, an advanced daemon for providing streaming NNTP feeds.
Name: innfeed
Version: 0.10.1
Release: 2
Copyright: GPL
Group: Base
Source: ftp://ftp.isc.org/isc/inn/innfeed/innfeed-0.10.1.tar.gz
Patch0: innfeed-0.10.1-config.patch 

Buildroot: /tmp/innfeed-buildroot

%changelog

* Fri Sep 19 1997 Doug Ledford <dledford@dialnet.net>
- Modified RPM_OPT_FLAGS to add -fcaller-saves to compensate for over use
  of register variables by the inn people.
- Added a note to the sample innfeed.conf file of the impact the 
  max-queue-size has on the memory foot print of innfeed (massive).

* Tue Sep 16 1997 Doug Ledford <dledford@dialnet.net>
- Original creation of innfeed rpm for use with inn-1.5.1-9.

%description
InnFeed is a daemon used on larger news sites in conjunction with INN to
improve the speed and efficiency of newsfeeds to downstream sites.  It
allows parallel news feeding, streaming feeds, and real-time feeds. 
InnFeed takes article IDs directly from innd and immediately starts the
article being fed to the downstream site instead of batching article IDs
for later transmission by nntpsend or other daemons.

%prep
%setup -n innfeed-0.10.1
%patch0 -p1 -b .redhat

%build
make INNFEED_BIN="/usr/lib/news/bin/innfeed" RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fcaller-saves" all

%install
rm -fr $RPM_BUILD_ROOT

make RPM_BUILD_ROOT="$RPM_BUILD_ROOT" install
mkdir -p $RPM_BUILD_ROOT/var/spool/news/innfeed
chown news.news $RPM_BUILD_ROOT/var/spool/news/innfeed
chmod 775 $RPM_BUILD_ROOT/var/spool/news/innfeed
mkdir -p $RPM_BUILD_ROOT/usr/doc/innfeed-0.10.1
install INSTALL README ChangeLog $RPM_BUILD_ROOT/usr/doc/innfeed-0.10.1

# Fail silently on all these 'strips'
strip $RPM_BUILD_ROOT/usr/lib/news/bin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files

/usr/lib/news/bin/innfeed
/usr/lib/news/bin/startinnfeed
/usr/lib/news/bin/convertconfig
/usr/lib/news/bin/procbatch

%config /etc/news/innfeed.conf

%dir /var/spool/news/innfeed
%dir /usr/doc/innfeed-0.10.1

%doc /usr/doc/innfeed-0.10.1/INSTALL
%doc /usr/doc/innfeed-0.10.1/README
%doc /usr/doc/innfeed-0.10.1/ChangeLog

/usr/man/man1/innfeed.1
/usr/man/man5/innfeed.conf.5

